## fbb 7.04j

=== src/Makefile ===
# this is only if "old" ax25 for kernel 2.0.x are used
AX25OLDPATH = /usr/src/ax25

# the rest should not be changed
AX25LIBPATH = /usr/lib
AX25INCPATH = /usr/include/netax25

.EXPORT_ALL_VARIABLES:

USE_NCURSES := $(shell test -f /usr/include/ncurses.h && echo 1)
OLD_AX25    := $(shell test -f $(AX25OLDPATH)/lib/axutils.h && echo 1)
NEW_AX25    := $(shell test -f $(AX25INCPATH)/axlib.h && echo 1)

ifneq ($(NEW_AX25), 1)
  ifeq ($(OLD_AX25), 1)
    DEFS = -DOLD_AX25
    AX25INCPATH = $(AX25OLDPATH)/lib
  endif
endif

CC     = gcc
CFLAGS = -Wall -Wstrict-prototypes -O2 -g -funsigned-char $(DEFS) -D__LINUX__ -DPROTOTYPES -I../include
LIBS   = -L$(AX25LIBPATH) -lm -lax25

COMMON_OBJECTS = \
   arbre.o\
   autobin.o\
   balise.o\
   bidexms.o\
   conf.o\
   console.o\
   date.o\
   devio.o\
   dos_1.o\
   dos_dir.o\
   driver.o\
   drv_aea.o\
   drv_ded.o\
   drv_hst.o\
   drv_kam.o\
   drv_mod.o\
   drv_pop.o\
   drv_sock.o\
   drv_tcp.o\
   edit.o\
   ems.o\
   error.o\
   exec_pg.o\
   fbb_conf.o\
   fortify.o\
   forward.o\
   fwdovl1.o\
   fwdovl2.o\
   fwdovl3.o\
   fwdovl4.o\
   fwdovl5.o\
   fwdovl6.o\
   fwdovl7.o\
   fwdutil.o\
   gesfic.o\
   ibm.o\
   info.o\
   init.o\
   init_srv.o\
   init_tnc.o\
   initfwd.o\
   initport.o\
   k_tasks.o\
   kernel.o\
   lzhuf.o\
   maint_fw.o\
   mbl_edit.o\
   mbl_expo.o\
   mbl_impo.o\
   mbl_kill.o\
   mbl_lc.o\
   mbl_list.o\
   mbl_log.o\
   mbl_menu.o\
   mbl_opt.o\
   mbl_prn.o\
   mbl_read.o\
   mbl_rev.o\
   mbl_stat.o\
   mbl_sys.o\
   mbl_user.o\
   mblutil.o\
   md5c.o\
   modem.o\
   nomenc.o\
   nouvfwd.o\
   pac_crc.o\
   pacsat.o\
   qraloc.o\
   redist.o\
   rx25.o\
   serv.o\
   serveur.o\
   statis.o\
   themes.o\
   tnc.o\
   tncio.o\
   trait.o\
   trajec.o\
   trajovl.o\
   variable.o\
   warning.o\
   watchdog.o\
   waveplay.o\
   wp.o\
   wp_mess.o\
   wpserv.o\
   xfwd.o\
   xmodem.o\
   yapp.o

all : xfbbd fbbgetconf epurmess epurwp reqdir clr_user maintinf xfbbC

install: all
	@cd ..;./install_sh

clean :
	$(RM) *.o *.orig ../include/*.orig core
	$(RM) xfbbd xfbbC epurmess epurwp reqdir clr_user maintinf

xfbbd: $(COMMON_OBJECTS) xfbbd.o fbb_orb.o
	$(CC) $(CFLAGS) -o xfbbd xfbbd.o fbb_orb.o $(COMMON_OBJECTS) $(LIBS)

xfbbd.o : xfbbd.c
	$(CC) $(CFLAGS) -D__ORB__ -c -o xfbbd.o xfbbd.c

fbbgetconf : fbbgetconf.o fbb_conf.o
	$(CC) $(CFLAGS) -o fbbgetconf fbbgetconf.o fbb_conf.o

epurmess : epurmess.o fbb_conf.o
	$(CC) $(CFLAGS) -o epurmess epurmess.o fbb_conf.o

epurwp : epurwp.o fbb_conf.o
	$(CC) $(CFLAGS) -o epurwp epurwp.o fbb_conf.o

maintinf : maintinf.o fbb_conf.o
	$(CC) $(CFLAGS) -o maintinf maintinf.o fbb_conf.o

reqdir : reqdir.o fbb_conf.o
	$(CC) $(CFLAGS) -o reqdir reqdir.o fbb_conf.o

ifeq ($(USE_NCURSES),1)
CFLAGS += -DUSE_NCURSES
xfbbC : xfbbC.o md5c.o terminal.o
	$(CC) $(CFLAGS) -o xfbbC -lncurses xfbbC.o md5c.o terminal.o
else
xfbbC : xfbbC.o md5c.o
	@echo "***"
	@echo "*** ncurses is not installed. xfbbC client will use terminal mode"
	@echo "***"
	$(CC) $(CFLAGS) -o xfbbC xfbbC.o md5c.o
endif

=== src/X11/Makefile ===

AX25LIBPATH = /usr/lib
AX25INCPATH = /usr/include/netax25

XINCLUDE = -I/usr/X11R6/LessTif/Motif2.0/include -I/usr/X11R6/include 
OLD_AX25 := $(shell test -f /usr/include/ax25/axutils.h && echo 1)
ifeq ($(OLD_AX25), 1)
DEFS = -DOLD_AX25 
endif

CC = gcc
CFLAGS = -Wall -Wstrict-prototypes -O2 -g -funsigned-char $(DEFS) -D__LINUX__ -DPROTOTYPES -I../../include $(XINCLUDE) -I$(AX25INCPATH)
LIBS   = -L$(AX25LIBPATH) -lm -lax25
XLIBS  = -L/usr/X11R6/lib -L/usr/X11R6/LessTif/Motif2.0/lib -lXm -lXt -lXpm -lXext -lX11 

COMMON_OBJECTS = \
   ../arbre.o\
   ../autobin.o\
   ../balise.o\
   ../bidexms.o\
   ../conf.o\
   ../console.o\
   ../date.o\
   ../devio.o\
   ../dos_1.o\
   ../dos_dir.o\
   ../driver.o\
   ../drv_aea.o\
   ../drv_ded.o\
   ../drv_hst.o\
   ../drv_kam.o\
   ../drv_mod.o\
   ../drv_pop.o\
   ../drv_sock.o\
   ../drv_tcp.o\
   ../edit.o\
   ../ems.o\
   ../error.o\
   ../exec_pg.o\
   ../fbb_conf.o\
   ../fortify.o\
   ../forward.o\
   ../fwdovl1.o\
   ../fwdovl2.o\
   ../fwdovl3.o\
   ../fwdovl4.o\
   ../fwdovl5.o\
   ../fwdovl6.o\
   ../fwdovl7.o\
   ../fwdutil.o\
   ../gesfic.o\
   ../ibm.o\
   ../info.o\
   ../init.o\
   ../init_srv.o\
   ../init_tnc.o\
   ../initfwd.o\
   ../initport.o\
   ../k_tasks.o\
   ../kernel.o\
   ../lzhuf.o\
   ../maint_fw.o\
   ../mbl_edit.o\
   ../mbl_expo.o\
   ../mbl_impo.o\
   ../mbl_kill.o\
   ../mbl_lc.o\
   ../mbl_list.o\
   ../mbl_log.o\
   ../mbl_menu.o\
   ../mbl_opt.o\
   ../mbl_prn.o\
   ../mbl_read.o\
   ../mbl_rev.o\
   ../mbl_stat.o\
   ../mbl_sys.o\
   ../mbl_user.o\
   ../mblutil.o\
   ../md5c.o\
   ../modem.o\
   ../nomenc.o\
   ../nouvfwd.o\
   ../pac_crc.o\
   ../pacsat.o\
   ../qraloc.o\
   ../redist.o\
   ../rx25.o\
   ../serv.o\
   ../serveur.o\
   ../statis.o\
   ../themes.o\
   ../tnc.o\
   ../tncio.o\
   ../trait.o\
   ../trajec.o\
   ../trajovl.o\
   ../variable.o\
   ../warning.o\
   ../watchdog.o\
   ../waveplay.o\
   ../wp.o\
   ../wp_mess.o\
   ../wpserv.o\
   ../xfwd.o\
   ../xmodem.o\
   ../yapp.o

X_OBJETS = \
   xfbbabtd.o\
   xfbbcnsl.o\
   xfbbedtm.o\
   xfbbedtu.o\
   xfbblcnx.o\
   xfbbmain.o\
   xfbbpndd.o\
   xeditor.o

XC_OBJETS = \
   ../md5c.o \
   xfbbXabtd.o\
   xfbbXcnsl.o

all : xfbb xfbbX_cl

clean :
	$(RM) *.o *.orig core 
	$(RM) xfbbX_cl xfbb

xfbb: $(COMMON_OBJETS) $(X_OBJETS) xfbb.o
	$(CC) $(CFLAGS) -o xfbb xfbb.o $(COMMON_OBJECTS) $(X_OBJETS) $(LIBS) $(XLIBS)

xfbb.o : xfbb.c
	$(CC) $(CFLAGS) -c -o xfbb.o xfbb.c

xfbbX_cl: $(XC_OBJETS) xfbbX.o
	$(CC) $(CFLAGS) -o xfbbX_cl xfbbX.o $(XC_OBJETS) $(LIBS) $(XLIBS)

xfbbX.o : xfbbX.c
	$(CC) $(CFLAGS) -c -o xfbbX.o xfbbX.c

## fbb 7.05f

=== src/Makefile ===
--- 
+++ 
@@ -2,8 +2,9 @@
 AX25OLDPATH = /usr/src/ax25
 
 # the rest should not be changed
-AX25LIBPATH = /usr/lib
-AX25INCPATH = /usr/include/netax25
+AX25LIBPATH = /usr/local/lib
+#AX25INCPATH = /usr/src/linux/include/netax25
+AX25INCPATH = /usr/local/include/netax25
 
 .EXPORT_ALL_VARIABLES:
 
@@ -19,7 +20,8 @@
 endif
 
 CC     = gcc
-CFLAGS = -Wall -Wstrict-prototypes -O2 -g -funsigned-char $(DEFS) -D__LINUX__ -DPROTOTYPES -I../include
+CFLAGS = -g -O2 -Wstrict-prototypes -funsigned-char $(DEFS) -D__LINUX__ -DPROTOTYPES -I../include -fstack-check
+#CFLAGS = -Wall -Wstrict-prototypes -ggdb2 -funsigned-char $(DEFS) -D__LINUX__ -Wformat-security -D_FORTIFY_SOURCE=2 -DPROTOTYPES -I../include -fstack-check -fstack-protector-all
 LIBS   = -L$(AX25LIBPATH) -lm -lax25
 
 COMMON_OBJECTS = \
@@ -114,14 +116,16 @@
    xmodem.o\
    yapp.o
 
-all : xfbbd fbbgetconf epurmess epurwp reqdir clr_user maintinf xfbbC
+all : xfbbd fbbgetconf epurmess epurwp reqdir clr_user maintinf xfbbC satupdat ajoursat satdoc
 
 install: all
 	@cd ..;./install_sh
 
 clean :
 	$(RM) *.o *.orig ../include/*.orig core
-	$(RM) xfbbd xfbbC epurmess epurwp reqdir clr_user maintinf
+	$(RM) xfbbd xfbbC epurmess epurwp reqdir clr_user maintinf fbbgetconf
+	$(RM) satdoc satupdat ajoursat
+	$(RM) X11/*.o X11/xfbb X11/*.orig X11/core X11/xfbbX_cl
 
 xfbbd: $(COMMON_OBJECTS) xfbbd.o fbb_orb.o
 	$(CC) $(CFLAGS) -o xfbbd xfbbd.o fbb_orb.o $(COMMON_OBJECTS) $(LIBS)
@@ -138,16 +142,28 @@
 epurwp : epurwp.o fbb_conf.o
 	$(CC) $(CFLAGS) -o epurwp epurwp.o fbb_conf.o
 
+clr_user : clr_user.o fbb_conf.o
+	$(CC) $(CFLAGS) -o clr_user clr_user.o fbb_conf.o
+
 maintinf : maintinf.o fbb_conf.o
 	$(CC) $(CFLAGS) -o maintinf maintinf.o fbb_conf.o
 
 reqdir : reqdir.o fbb_conf.o
 	$(CC) $(CFLAGS) -o reqdir reqdir.o fbb_conf.o
 
+satupdat : satupdat.c
+	$(CC) $(CFLAGS) satupdat.c -o satupdat
+
+ajoursat : ajoursat.c
+	$(CC) $(CFLAGS) ajoursat.c -o ajoursat
+
+satdoc : satdoc.c
+	$(CC) $(CFLAGS) -o satdoc satdoc.c
+
 ifeq ($(USE_NCURSES),1)
 CFLAGS += -DUSE_NCURSES
 xfbbC : xfbbC.o md5c.o terminal.o
-	$(CC) $(CFLAGS) -o xfbbC -lncurses xfbbC.o md5c.o terminal.o
+	$(CC) $(CFLAGS) -o xfbbC xfbbC.o md5c.o terminal.o -lncurses
 else
 xfbbC : xfbbC.o md5c.o
 	@echo "***"

=== src/X11/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 
-AX25LIBPATH = /usr/lib
-AX25INCPATH = /usr/include/netax25
+AX25LIBPATH = /usr/local/lib
+#AX25INCPATH = /usr/include/netax25
+AX25INCPATH = /usr/local/include/netax25
 
 XINCLUDE = -I/usr/X11R6/LessTif/Motif2.0/include -I/usr/X11R6/include 
 OLD_AX25 := $(shell test -f /usr/include/ax25/axutils.h && echo 1)
@@ -10,6 +11,7 @@
 
 CC = gcc
 CFLAGS = -Wall -Wstrict-prototypes -O2 -g -funsigned-char $(DEFS) -D__LINUX__ -DPROTOTYPES -I../../include $(XINCLUDE) -I$(AX25INCPATH)
+#CFLAGS = -Wall -Wstrict-prototypes -O2 -ggdb -funsigned-char $(DEFS) -D__LINUX__ -DPROTOTYPES -I../../include $(XINCLUDE) -I$(AX25INCPATH)
 LIBS   = -L$(AX25LIBPATH) -lm -lax25
 XLIBS  = -L/usr/X11R6/lib -L/usr/X11R6/LessTif/Motif2.0/lib -lXm -lXt -lXpm -lXext -lX11

=== debian/changelog ===
fbb (7.05f-2) unstable; urgency=medium

  * Fix link failure with --as-needed (Closes: #760389)
    Note: This is not a bug in Debian but is needed on Ubuntu.
  * Remove several empty directories generated by install.

 -- Colin Tuckley <colint@debian.org>  Wed, 10 Sep 2014 11:18:16 +0100

fbb (7.05f-1) unstable; urgency=medium

  * Added myself to uploaders
  * New upstream version closes: #607028
  * Bump standards version (No changes reqd)
  * Fix debian/watch file for new upstream site
  * Added Homepage to debian/control
  * repack upstream tarball to make all dirs readable by user
  * Bump compat level to 5
  * Update debian/rules for build-indep etc
  * update debian/rules for hardening
  * Remove explicit link with /usr/lib closes: #722769

 -- Colin Tuckley <colint@debian.org>  Wed, 20 Aug 2014 09:23:18 +0100

fbb (7.04j-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed bashism in /usr/sbin/fbb, closes: #535869

 -- Michael Meskes <meskes@debian.org>  Sat, 23 Jan 2010 15:19:41 +0100

fbb (7.04j-8.1) unstable; urgency=low

  * Retiring - remove myself from the uploaders list.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 14 Nov 2009 14:01:07 +0000

fbb (7.04j-8) unstable; urgency=low

  * Fix bashism in /bin/sh script. Thanks Manuel Prinz.
    Closes: #486030.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 25 Jun 2008 18:51:19 +0200

fbb (7.04j-7) unstable; urgency=low

  * Make aptitude render the description nicely. Closes: #389050.
  * Lintian fixes.
  * Update standards version.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 13 Nov 2007 18:55:46 +0100

fbb (7.04j-6) unstable; urgency=low

  * Update debian/rules to use debhelper rather than debmake

 -- Hamish Moffatt <hamish@debian.org>  Tue,  3 Jan 2006 00:39:59 +1100

fbb (7.04j-5) unstable; urgency=low

  * Added a new uploader to the Uploaders field.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 12 Apr 2005 13:31:59 +0200

fbb (7.04j-4) unstable; urgency=low

  * Upload for the 'Debian Hamradio Maintainers'.
  * Watch file added.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat,  9 Apr 2005 18:10:17 +0200

fbb (7.04j-3) unstable; urgency=low

  * Patch by Andreas Jochens to fix a FTBFS on amd64. Thanks! Closes: #297570.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed,  2 Mar 2005 13:35:35 +0100

fbb (7.04j-2) unstable; urgency=low

  * A patch by Jeroen Vreeken <pe1rxq@amsat.org> to let fbb run under 2.6
    kernels.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 19 Feb 2004 22:45:53 +0100

fbb (7.04j-1) unstable; urgency=low

  * New upstream release.
  * Fixes compilation issues. Closes: #226532.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri,  9 Jan 2004 00:40:37 +0100

fbb (7.04-3) unstable; urgency=low

  * Update standards version.
  * Lintian fixes.
  * Manual page for fbbgetconf.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 21 Feb 2003 16:55:10 +0100

fbb (7.04-2) unstable; urgency=low

  * Suggest fbbdoc.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 25 Dec 2001 00:16:55 +0100

fbb (7.04-1) unstable; urgency=low

  * New upstream release.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 21 Nov 2001 19:07:58 +0100

fbb (7.03-3) unstable; urgency=low

  * Fix for gcc-3.0, so hppa can build. Closes: #104872.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 14 Jul 2001 10:16:48 +0200

fbb (7.03-2) unstable; urgency=low

  * Remove libc6-dev from the build-depends line as per debian policy.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 10 Jul 2001 21:59:39 +0200

fbb (7.03-1) unstable; urgency=low

  * Initial release.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 25 Apr 2001 11:48:25 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: fbb
Build-Depends: debhelper (>= 5), libncurses5-dev, libax25-dev, dpkg-dev (>= 1.16.1~)
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Hamish Moffatt <hamish@debian.org>, Colin Tuckley <colint@debian.org>
Homepage: http://f6bvp.free.fr/logiciels/BBS-f6fbb/html/
Standards-Version: 3.9.5

Package: fbb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: fbbdoc
Description: Packet radio mailbox and utilities
 The fbb package contains software written by f6fbb for setting up a packet
 radio mailbox. It is intended for amateur radio operators. A short overview
 of some of the binaries:
 .
  * fbb: Script to start the daemon.
  * xfbbd: The daemon which listens for incoming connects.
  * epurmess: Delete messages based on age.
  * epurwp: White Pages maintenance.
  * reqdir: FBB server which requests directory listings.
  * xfbbC: B/W Ncurses console for xfbbd.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

package=fbb

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build

clean:
	dh_testdir
	dh_clean
	-rm -f build
	[ ! -f Makefile ] || $(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -f src/fbbgetconf

binary-indep: build
	dh_testdir
	dh_testroot

# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/fbb

	dh_installchangelogs CHANGES
	dh_installdocs README FBBTREE
	dh_installexamples
	dh_installman fbb.8 fbbgetconf.1 xfbbC.8 xfbbd.8

	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=2

opts=dversionmangle=s/\.// \
http://f6bvp.free.fr/logiciels/BBS-f6fbb/xd(.*)\-src\.tar\.bz2 debian uupdate

## fbb 7.07

=== debian/changelog ===
fbb (7.07-3) unstable; urgency=medium

  * Fix watch file to overcome incorrect package version
    format being different to upstream.
  * Bump standards version to 4.0.0 (No changes reqd)
  * Bump compat level to 9
  * Fix various minor spelling errors

 -- Colin Tuckley <colint@debian.org>  Tue, 25 Jul 2017 18:19:53 +0100

fbb (7.07-2) unstable; urgency=medium

  * Fix FTBFS with glibc-2.21 and gcc-5 (Closes: #788738)

 -- Colin Tuckley <colint@debian.org>  Tue, 18 Aug 2015 17:54:00 +0100

fbb (7.07-1) unstable; urgency=medium

  * New upstream release (Closes: #749634)
  * Update Homepage in debian/control.
  * Bump standards version (No changes reqd)
  * New debian/rules to cope with new upstream build system.
  * New debian/watch pointing to Sourceforge.
  * Fix bashism in script (Closes: #772250)
  * Change Architecture to linux-any to match
    libax25 which it depends on.

 -- Colin Tuckley <colint@debian.org>  Sat, 09 May 2015 15:20:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: fbb
-Build-Depends: debhelper (>= 5), libncurses5-dev, libax25-dev, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 9), libncurses5-dev, libax25-dev, dpkg-dev (>= 1.16.1~), dh-autoreconf
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Jaime Robles <jaime@debian.org>, Patrick Ouellette <pouelle@debian.org>, Hamish Moffatt <hamish@debian.org>, Colin Tuckley <colint@debian.org>
-Homepage: http://f6bvp.free.fr/logiciels/BBS-f6fbb/html/
-Standards-Version: 3.9.5
+Uploaders: Colin Tuckley <colint@debian.org>
+Homepage: https://sourceforge.net/projects/linfbb/
+Standards-Version: 4.0.0
 
 Package: fbb
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: fbbdoc
 Description: Packet radio mailbox and utilities

## fbb 7.010

=== debian/changelog ===
fbb (7.010-1) unstable; urgency=medium
  
  * New Upstream Release
    - Refreshed existing patches
  * Bump Standards to 4.5.1
  * Bumped compat and dh to 13
  * Ensure config files are installed in /etc
    - Added 07-install-config patch
    - modified debian/rules
  * Ensure files are installed to /var/lib/ax25
    - Added 08-statedir patch
  * Added debian/gitlab-ci.yml
  * Updated debian/control
    - Added myself as uploader
    - Added VCS links
    - Detailed Rules-Requires-Root after testing
  * Added lintian-overrides
  * Updated debian/copyright
    - Rewrote into DEP5 format
    - Updated to include new upstream copyright

 -- Dave Hibberd <d@vehibberd.com>  Mon, 08 Feb 2021 00:40:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: fbb
-Build-Depends: debhelper (>= 9), libncurses5-dev, libax25-dev, dpkg-dev (>= 1.16.1~), dh-autoreconf
+Build-Depends: debhelper-compat (= 13), libncurses5-dev, libax25-dev, dpkg-dev (>= 1.16.1~)
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Colin Tuckley <colint@debian.org>
+Uploaders: Colin Tuckley <colint@debian.org>, Dave Hibberd <d@vehibberd.com>
 Homepage: https://sourceforge.net/projects/linfbb/
-Standards-Version: 4.0.0
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/fbb
+Vcs-Git: https://salsa.debian.org/debian-hamradio-team/fbb.git
+Rules-Requires-Root: no
 
 Package: fbb
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install
	make installconf

=== debian/watch ===
version=4
opts="uversionmangle=s/([0-9])\.([0-9])\.([0-9])/$1\.$2$3/" \
http://sf.net/linfbb/ fbb-([0-9.]*)\.tar\.gz

## fbb 7.011

=== debian/changelog ===
fbb (7.011-3) unstable; urgency=medium

  * Pre-setup all the working directories fbb requires on firstrun 
    - Refresh patch 08-statedir to change /var/lib/ax25 to /var/ax25/
  * Bumped standards to 4.6.2.0
  * Add gbp.conf
  * Refresh d/copyright years

 -- Dave Hibberd <d@vehibberd.com>  Sun, 24 Sep 2023 18:36:26 +0100

fbb (7.011-2) unstable; urgency=medium

  * Team upload.
  * Address segfault when listing subdirectories (Closes: #1032223)
    Thank you to Mike Quin for the bug report and patch.

 -- tony mancill <tmancill@debian.org>  Sun, 05 Mar 2023 09:53:13 -0800

fbb (7.011-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Daniele Forsi ]
  * Use secure URI in debian/watch.
  * Update standards version to 4.6.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version 7.011.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Aug 2022 10:53:00 +0200

fbb (7.010-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Christoph Berg ]
  * Drop Suggests: fbbdoc which doesn't exist.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 18:32:20 +0100

fbb (7.010-2) unstable; urgency=medium

  * Remove colint from uploaders, thanks for all your work
    - Closes: #990601
  * Added patch to exclude ncursesw
    - Closes: #898131
  * Updated ncurses in d/control

 -- Dave Hibberd <d@vehibberd.com>  Tue, 07 Sep 2021 08:24:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: fbb
-Build-Depends: debhelper-compat (= 13), libncurses5-dev, libax25-dev, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper-compat (= 13), libncurses-dev, libax25-dev
 Section: hamradio
 Priority: optional
 Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Colin Tuckley <colint@debian.org>, Dave Hibberd <d@vehibberd.com>
+Uploaders: Dave Hibberd <d@vehibberd.com>
 Homepage: https://sourceforge.net/projects/linfbb/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/fbb
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/fbb.git
 Rules-Requires-Root: no
@@ -13,7 +13,6 @@
 Package: fbb
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: fbbdoc
 Description: Packet radio mailbox and utilities
  The fbb package contains software written by f6fbb for setting up a packet
  radio mailbox. It is intended for amateur radio operators. A short overview

=== debian/watch ===
version=4
opts="uversionmangle=s/([0-9])\.([0-9])\.([0-9])/$1\.$2$3/" \
https://sf.net/linfbb/ fbb-([0-9.]*)\.tar\.gz
